Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
XamlGeneratedNamespace.GeneratedInternalTypeHelper Class Reference

GeneratedInternalTypeHelper More...

Inheritance diagram for XamlGeneratedNamespace.GeneratedInternalTypeHelper:

## Protected Member Functions
override object | CreateInstance (System.Type type, System.Globalization.CultureInfo culture)
| CreateInstance More...
override object | GetPropertyValue (System.Reflection.PropertyInfo propertyInfo, object target, System.Globalization.CultureInfo culture)
| GetPropertyValue More...
override void | SetPropertyValue (System.Reflection.PropertyInfo propertyInfo, object target, object value, System.Globalization.CultureInfo culture)
| SetPropertyValue More...
override System.Delegate | CreateDelegate (System.Type delegateType, object target, string handler)
| CreateDelegate More...
override void | AddEventHandler (System.Reflection.EventInfo eventInfo, object target, System.Delegate handler)
| AddEventHandler More...
override object | CreateInstance (System.Type type, System.Globalization.CultureInfo culture)
| CreateInstance More...
override object | GetPropertyValue (System.Reflection.PropertyInfo propertyInfo, object target, System.Globalization.CultureInfo culture)
| GetPropertyValue More...
override void | SetPropertyValue (System.Reflection.PropertyInfo propertyInfo, object target, object value, System.Globalization.CultureInfo culture)
| SetPropertyValue More...
override System.Delegate | CreateDelegate (System.Type delegateType, object target, string handler)
| CreateDelegate More...
override void | AddEventHandler (System.Reflection.EventInfo eventInfo, object target, System.Delegate handler)
| AddEventHandler More...

## Detailed Description

GeneratedInternalTypeHelper

Definition at line 20 of file GeneratedInternalTypeHelper.g.cs.

## Member Function Documentation

override void XamlGeneratedNamespace.GeneratedInternalTypeHelper.AddEventHandler | ( | System.Reflection.EventInfo | eventInfo,
|  | object | target,
|  | System.Delegate | handler
| ) |  |
| protected

AddEventHandler

Definition at line 57 of file GeneratedInternalTypeHelper.g.cs.

override void XamlGeneratedNamespace.GeneratedInternalTypeHelper.AddEventHandler | ( | System.Reflection.EventInfo | eventInfo,
|  | object | target,
|  | System.Delegate | handler
| ) |  |
| protected

AddEventHandler

Definition at line 57 of file GeneratedInternalTypeHelper.g.i.cs.

override System.Delegate XamlGeneratedNamespace.GeneratedInternalTypeHelper.CreateDelegate | ( | System.Type | delegateType,
|  | object | target,
|  | string | handler
| ) |  |
| protected

CreateDelegate

Definition at line 47 of file GeneratedInternalTypeHelper.g.i.cs.

override System.Delegate XamlGeneratedNamespace.GeneratedInternalTypeHelper.CreateDelegate | ( | System.Type | delegateType,
|  | object | target,
|  | string | handler
| ) |  |
| protected

CreateDelegate

Definition at line 47 of file GeneratedInternalTypeHelper.g.cs.

override object XamlGeneratedNamespace.GeneratedInternalTypeHelper.CreateInstance | ( | System.Type | type,
|  | System.Globalization.CultureInfo | culture
| ) |  |
| protected

CreateInstance

Definition at line 25 of file GeneratedInternalTypeHelper.g.cs.

override object XamlGeneratedNamespace.GeneratedInternalTypeHelper.CreateInstance | ( | System.Type | type,
|  | System.Globalization.CultureInfo | culture
| ) |  |
| protected

CreateInstance

Definition at line 25 of file GeneratedInternalTypeHelper.g.i.cs.

override object XamlGeneratedNamespace.GeneratedInternalTypeHelper.GetPropertyValue | ( | System.Reflection.PropertyInfo | propertyInfo,
|  | object | target,
|  | System.Globalization.CultureInfo | culture
| ) |  |
| protected

GetPropertyValue

Definition at line 33 of file GeneratedInternalTypeHelper.g.cs.

override object XamlGeneratedNamespace.GeneratedInternalTypeHelper.GetPropertyValue | ( | System.Reflection.PropertyInfo | propertyInfo,
|  | object | target,
|  | System.Globalization.CultureInfo | culture
| ) |  |
| protected

GetPropertyValue

Definition at line 33 of file GeneratedInternalTypeHelper.g.i.cs.

override void XamlGeneratedNamespace.GeneratedInternalTypeHelper.SetPropertyValue | ( | System.Reflection.PropertyInfo | propertyInfo,
|  | object | target,
|  | object | value,
|  | System.Globalization.CultureInfo | culture
| ) |  |
| protected

SetPropertyValue

Definition at line 40 of file GeneratedInternalTypeHelper.g.cs.

override void XamlGeneratedNamespace.GeneratedInternalTypeHelper.SetPropertyValue | ( | System.Reflection.PropertyInfo | propertyInfo,
|  | object | target,
|  | object | value,
|  | System.Globalization.CultureInfo | culture
| ) |  |
| protected

SetPropertyValue

Definition at line 40 of file GeneratedInternalTypeHelper.g.i.cs.

The documentation for this class was generated from the following files:

- Microscopic Traffic Simulator/obj/Debug/GeneratedInternalTypeHelper.g.cs
- Microscopic Traffic Simulator/obj/Debug/GeneratedInternalTypeHelper.g.i.cs